Skip to main content
GET
/
v1
/
projects
/
{projectId}
/
schedules
/
{scheduleId}
Get a schedule summary for a given schedule id
curl --request GET \
  --url https://eu1.api.matillion.com/dpc/v1/projects/{projectId}/schedules/{scheduleId} \
  --header 'Authorization: Bearer <token>'
{
  "cronExpression": 0,
  "cronTimezone": "Europe/Dublin",
  "effectiveFrom": "2022-05-19T12:37:44.000Z",
  "environmentName": "Dev Environment",
  "gridVariables": {
    "grid1": [
      [
        "col1",
        "col2",
        "col3"
      ],
      [
        "col1a",
        "col2a",
        "col3a"
      ]
    ]
  },
  "intervalExpression": {
    "interval": 123,
    "unit": "<string>"
  },
  "lastRunAt": "2022-06-30T01:14:00.000Z",
  "name": "Nightly database backup",
  "nextRunAt": "2022-06-30T01:15:00.000Z",
  "pipelineName": "Nightly database backup",
  "scalarVariables": {
    "variable1": "value1",
    "variable2": "value2"
  },
  "scheduleEnabled": false,
  "scheduleId": "a2239897-51f8-4c09-83ab-0b2c28bd5a37",
  "versionName": "1.2.0"
}

Authorizations

Authorization
string
header
required

a valid bearer token

Path Parameters

projectId
string<uuid>
required
scheduleId
string<uuid>
required

Response

Schedule details returned successfully with no errors

cronExpression
string

Either an intervalExpression or cronExpression must be present for a schedule. This this is formatted in the Quartz format.

Example:

0

cronTimezone
string

The timezone region value used to determine in what timezone the CronExpression is applied.

It will be used to in combination with the cronExpression to determine the schedule run times in the specified timezone region.

Example:

"Europe/Dublin"

effectiveFrom
string<date-time>
A date time value specifying at what point the schedule becomes effective, before this time
the schedule will not run.

The format of the date time will be yyyy-MM-dd'T'HH:mm:ssZ and is always returned in UTC
Example:

"2022-05-19T12:37:44.000Z"

environmentName
string

The environment name to run the pipeline that the schedule is associated with

Example:

"Dev Environment"

gridVariables
object

The map of grid variables to be overridden when ETL pipeline is executed

Example:
{
"grid1": [
["col1", "col2", "col3"],
["col1a", "col2a", "col3a"]
]
}
intervalExpression
object

Either an intervalExpression or cronExpression must be present for a schedule. This intervalExpression details the interval between each scheduled run.

lastRunAt
string<date-time>

A datetime value for when the schedule last ran.

The format of the date time will be yyyy-MM-dd'T'HH:mm:ssZ and is always returned in UTC

Example:

"2022-06-30T01:14:00.000Z"

name
string

An optional name for the schedule, if not provided then it will constructed from pipelinename_environment_currentTimestamp

Example:

"Nightly database backup"

nextRunAt
string<date-time>

A datetime value for when the schedule should next run.

The format of the date time will be yyyy-MM-dd'T'HH:mm:ssZ and is always returned in UTC

Example:

"2022-06-30T01:15:00.000Z"

pipelineName
string

Name of the pipeline that the schedule is associated with

Example:

"Nightly database backup"

scalarVariables
object

The map of scalar variables to be overridden when ETL pipeline is executed

Example:
{
"variable1": "value1",
"variable2": "value2"
}
scheduleEnabled
boolean

An enabled boolean flag for whether the schedule is enabled.

Example:

false

scheduleId
string

The generated unique schedule Id used to identify a specific schedule

Example:

"a2239897-51f8-4c09-83ab-0b2c28bd5a37"

versionName
string

Optional artifact version name of the pipeline that the schedule is associated with

Example:

"1.2.0"